import babel from 'rollup-plugin-babel';

export default {
  input: 'lib/movie.js',
  output: {
    strict: true,
    exports: 'named',
    format: 'iife',
    file: 'dist/movie.js',
    name: 'CodeMirrorMovie',
    sourcemap: false
  },
  plugins: [
    babel({
      sourceMap: false,
      exclude: 'node_modules/**',
      babelrc: false,
      presets: [
        ['env', {
          modules: false,
          loose: true,
          exclude: ['transform-es2015-typeof-symbol'],
          targets: {
            browsers: ['>= 1%', 'IE >= 9']
          }
        }]
      ]
    })
  ],
};